Bug 1283253 (CVE-2015-8215) - CVE-2015-8215 kernel: MTU value is not validated in IPv6 stack causing packet loss
Summary: CVE-2015-8215 kernel: MTU value is not validated in IPv6 stack causing packet...
Keywords:
Status: NEW
Alias: CVE-2015-8215
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150223,repor...
Depends On: 1194011 1250773 1283254
Blocks: 1283258
TreeView+ depends on / blocked
 
Reported: 2015-11-18 14:24 UTC by Adam Mariš
Modified: 2019-06-08 20:51 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the Linux kernel's IPv6 network stack did not properly validate the value of the MTU variable when it was set. A remote attacker could potentially use this flaw to disrupt a target system's networking (packet loss) by setting an invalid MTU value, for example, via a NetworkManager daemon that is processing router advertisement packets running on the target system.
Clone Of:
Environment:
Last Closed: 2015-12-22 16:00:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0855 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2016-05-10 22:43:57 UTC

Description Adam Mariš 2015-11-18 14:24:16 UTC
A vulnerability in net/ipv6/addrconf.c in the IPv6 stack in the Linux kernel before 4.0, where the MTU value was not validated, was found. This allowed context-dependent attackers to cause a denial of service (packet loss) via a value that is either smaller than the minimum compliant value or larger than the MTU of an interface.

Upstream patch:

https://github.com/torvalds/linux/commit/77751427a1ff25b27d47a4c36b12c3c8667855ac

Comment 1 Adam Mariš 2015-11-18 14:24:53 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1283254]

Comment 3 Vladis Dronov 2015-12-22 15:55:58 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2 as this flaw was fixed in the recent releases.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise
Linux 6. Future updates for the respective releases may address the issue.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates of Red Hat Enterprise Linux 5. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 4 errata-xmlrpc 2016-05-10 23:26:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0855 https://rhn.redhat.com/errata/RHSA-2016-0855.html


Note You need to log in before you can comment on or make changes to this bug.